.loader {
    background: white;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    display: none;
    align-items: center;
    justify-content: center;
}

.loader::before {
    content: '';
    display: block;
    background-color: #000;
    width: 250dvw;
    height: 100dvh;
    position: absolute;
    top: 0;
    left: -75dvw;
    transform: skewX(60deg);
    animation: slideIn 2s forwards;
}

@keyframes slideIn {
    0% {
        width: 250dvw;
        left: -75dvw;
        transform: skewX(60deg);
    }
    100% {
        width: 0;
        left: 50%;
        transform: skewX(90deg);
    }
}

.loader h1 {
    font-weight: 700;
    font-size: clamp(3rem, 17vw, 20rem);
    letter-spacing: 2px;
    text-align: center;
    opacity: 0;
    transform: scale(0.6);
    animation: fadeIn 0.5s ease-out forwards 1.35s, growText 0.5s ease-out forwards 1.8s;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

@keyframes growText {
    to {
        transform: scale(1);
    }
}

.expanding-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 10px;
    height: 10px;
    background-color: black;
    border-radius: 100%;
    transform: translate(-50%, -50%);
    animation: expandCircle 0.3s ease-in-out 2.7s;
    z-index: 1;
    transform: scale(0);
}

@keyframes expandCircle {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1000);
    }
}

.counter {
    height: 100dvh;
    width: 100dvw;
    overflow: hidden;
    position: relative;
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: center;
}
@media (width >= 768px) {
    .counter {
        height: 100dvh;
    }
}
.counter .counter-corner {
    content: '';
    position: absolute;
    width: 100px;
    height: 100px;
    border: 3px solid white;
}
.counter .counter-corner-top-left {
    top: var(--before-top, 20px);
    left: var(--before-left, 20px);
    border-right: none;
    border-bottom: none;
    transition: all 0.3s ease;
}
.counter .counter-corner-bottom-right {
    bottom: 20px;
    right: 20px;
    border-left: none;
    border-top: none;
    transition: all 0.3s ease;
}
.counter .counter-corner-top-right {
    top: 20px;
    right: 20px;
    border-left: none;
    border-bottom: none;
    transition: all 0.3s ease;
}
.counter .counter-corner-bottom-left {
    bottom: 20px;
    left: 20px;
    border-right: none;
    border-top: none;
    transition: all 0.3s ease;
}
.counter .counter-content {
    animation: pulse 4s ease-out;
    color: white;
    background: white;
    width: 80%;
    height: 90%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: black;
}
@media (width >= 768px) {
    .counter .counter-content {
        width: 90%;
        height: 85%;
    }
}
.counter .counter-content .progress-text {
    margin-bottom: 1rem;
    font-size: 4rem;
    line-height: 1;
    font-weight: 700;
}
@media (width >= 768px) {
    .counter .counter-content .progress-text {
        font-size: 7rem;
    }
}
.counter .counter-content .progress-bar-container {
    margin-bottom: 2rem;
    border-radius: 9999px;
    width: 16rem;
    height: 0.5rem;
    background-color: #e5e7eb;
}
.counter .counter-content .progress-bar-container .progress-bar {
    border-radius: 9999px;
    height: 100%;
    width: 0%;
    background-color: #2563eb;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 300ms;
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
}
.counter .counter-content .status-message {
    max-width: 28rem;
    font-size: 1.125rem;
    line-height: 2.75rem;
    font-weight: 500;
    text-align: center;
    color: #4b5563;
    transition: all 300ms ease-in-out;
    /* opacity: 1; */
    min-height: 90px;
}
.message-fade-out {
    opacity: 0;
}

.message-fade-in {
    opacity: 1;
}
@media (width >= 768px) {
    .counter .counter-content .status-message {
        font-size: 2rem;
    }
}
@keyframes pulse {
    0%,
    20% {
        transform: scale(1);
        filter: blur(5px);
    }
    50%,
    70% {
        transform: scale(1.05);
        filter: blur(5px);
    }
    100% {
        transform: scale(1);
        filter: blur(0px);
    }
}
